Skip to main content

GET /api/transactions/tx/{hash}

Transaction details

GET tx data from transactions service

Endpoint​

GET https://api.web3identity.com/api/transactions/tx/{hash}

Parameters​

NameInTypeRequiredDescription
hashpathstringâś…Transaction or cast hash
chainquerystring❌Blockchain network (ethereum, base, polygon, etc)

Example Request​

curl -s "https://api.web3identity.com/api/transactions/tx/:hash" | jq

Responses​

200 Transaction​

{
"success": true,
"data": {}
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required - free tier exhausted​

{
"example": "response"
}

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec